//---------------------------------------------------------------------------

#ifndef ExpFuncH
#define ExpFuncH

#include "../../C++ Builder 5/Bin/CommonType.h"

/*TExpFuncReports*/
class TExpFuncReports {
private:
  TComponentList*     RepList;
public:
  __fastcall TExpFuncReports(void);
  __fastcall ~TExpFuncReports(void);

  int __fastcall CreateReportObject(  TTtypeReport pTypeOfRep,
                                      HWND phwndOwner,
                                      TCallBackFunc pCallBackFunc,
                                      void* pSelf);
  void __fastcall DropReportObject(int idObj);

};



/*   Export functions  */



//---------------------------------------------------------------------------
//Constructor
STDAPI_(int) __export CreateReportObject( TTtypeReport pTypeOfRep,
                                          HWND phwndOwner,
                                          TCallBackFunc pCallBackFunc,
                                          void* pSelf);
//Destructor
STDAPI_(void) __export DropReportObject(int idObj);
//
STDAPI_(void) __export ReportResume(int idObj);
STDAPI_(void) __export ReportExecute(int idObj);
STDAPI_(void) __export ReportHorizontalyResume(int idObj);
STDAPI_(void) __export ReportHorizontalyExecute(int idObj);
STDAPI_(void) __export BiDirectionResume(int idObj);
STDAPI_(void) __export BiDirectionExecute(int idObj);
STDAPI_(int)  __export PrepareSection(int idObj, const char* SectionName);
STDAPI_(int)  __export PrepareHorizontalySection(int idObj, const char* SectionName);
STDAPI_(void) __export OutSectionByName(int idObj, const char* SectionName);
STDAPI_(void) __export OutHorizontalySectionByName(int idObj, const char* SectionName);
STDAPI_(void) __export OutSectionByNum(int idObj, int SectionNum);
STDAPI_(void) __export OutHorizontalySectionByNum(int idObj, int SectionNum);
//Property get/set  functions
STDAPI_(char*) __export GetInputBlank(int idObj);
STDAPI_(void) __export SetInputBlank(int idObj, char* Value);
STDAPI_(char*) __export GetInputSheet(int idObj);
STDAPI_(void) __export SetInputSheet(int idObj, char* Value);
STDAPI_(char*) __export GetOutputBlank(int idObj);
STDAPI_(void) __export SetOutputBlank(int idObj, char* Value);
STDAPI_(char*) __export GetOutputSheet(int idObj);
STDAPI_(void) __export SetOutputSheet(int idObj, char* Value);
STDAPI_(char) __export GetCharByNum(int idObj);
STDAPI_(void) __export SetCharByNum(int idObj, const char Value);
STDAPI_(char) __export GetCharByName(int idObj);
STDAPI_(void) __export SetCharByName(int idObj, const char Value);
STDAPI_(char*) __export GetCurrentSection(int idObj);
STDAPI_(int) __export GetCurrentSectionNum(int idObj);
STDAPI_(TTtypeDiraction) __export GetTypeDiraction(int idObj);
STDAPI_(TWriteStream) __export GetWriteStream(int idObj);
STDAPI_(void) __export SetWriteStream(int idObj, TWriteStream Value);
STDAPI_(TWriteStream) __export GetReadStream(int idObj);
STDAPI_(void) __export SetReadStream(int idObj, TWriteStream Value);

STDAPI_(void) __export Test(RequestDataStract&);

#endif
